React Native v0.56.0 稳定版发布,包含大量重要变化 - 开源中国社区
Float_left Icon_close
React Native v0.56.0 稳定版发布,包含大量重要变化
局长 2018年07月05日

React Native v0.56.0 稳定版发布,包含大量重要变化

局长 局长 发布于2018年07月05日 收藏 3

React Native v0.56.0 已发布,这也是属于 6 月的更新发布!

开发团队表示,自3月以来,超过 60 位贡献者贡献了 816 个 commit。另外,由于这个新版本有一些重要的破坏性变化需要大量的额外工作才能使其达到稳定的状态,这也是月度发布周期中跳过4月和5月的主要原因。

看一下有哪些值得关注的变化 ——

  • React Native 现在使用 Babel 7,升级到 0.56 后,请确保将 babel-preset-react-native package.json 依赖项升级到 ^5.0.1 或更高版本。

  •  一些项目所需的最低版本都进行了升级,如现在最低的要求版本 ——

     Node 8、iOS 9 和 Xcode 9

  • Android 项目现在使用 Android 26 SDK 进行编译

  • WebView 默认只加载 http(s) URL,且默认情况下禁用地理位置

  • 许多的 bug 修复

  • ……

另外,正如我们此前报道的,Facebook 内部团队目前正在努力重写一些核心架构,不过还未准备好在开源中使用。

详细更新内容和源码下载 https://github.com/facebook/react-native/releases/tag/v0.56.0

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:React Native v0.56.0 稳定版发布,包含大量重要变化
分享
评论(11)
精彩评论
9
也就给没能力学习原生开发的前端吹吹牛涨涨工资用,正经干项目还是原生开发可靠。
2
支持ReactNative,迄今为止,仍旧是跨平台的最佳方案。
2

引用来自“hgoldfish”的评论

也就给没能力学习原生开发的前端吹吹牛涨涨工资用,正经干项目还是原生开发可靠。
确实,要真的能深入还是要会原生开发才行,不然RN也玩不转,哈哈,实际上还加大了学习成本。不过话说回来,RN做外包项目倒是挺可以的
2

引用来自“邪恶八稚女”的评论

这玩意儿什么时候能出1.0啊
等重构还有周边反馈的BUG修复的差不多了就离1.0.0正式版不远了
1
可笑的是有些人竟然跟我辩论说rn 可以完全替代原生。 不懂原生有些原生差别化的组件跟原生性能更好的组件不会写,特别是一些定制化的组件。不用原生写出来给rn 调。单靠rn 折腾是不现实的. 写出来的app不是这里崩溃就是哪里错误; 业务层还是需要原生来实现。 展示层也许rn 可以,其实rn 的很多组件都是基于原生的深度封装。让js 可以调用.
最新评论
0
坐等1.0 ,很看好, 但现在除非技术特别好, 大厂, 非核心的外包, 其它都不太合适,
2
支持ReactNative,迄今为止,仍旧是跨平台的最佳方案。
1
可笑的是有些人竟然跟我辩论说rn 可以完全替代原生。 不懂原生有些原生差别化的组件跟原生性能更好的组件不会写,特别是一些定制化的组件。不用原生写出来给rn 调。单靠rn 折腾是不现实的. 写出来的app不是这里崩溃就是哪里错误; 业务层还是需要原生来实现。 展示层也许rn 可以,其实rn 的很多组件都是基于原生的深度封装。让js 可以调用.
2

引用来自“hgoldfish”的评论

也就给没能力学习原生开发的前端吹吹牛涨涨工资用,正经干项目还是原生开发可靠。
确实,要真的能深入还是要会原生开发才行,不然RN也玩不转,哈哈,实际上还加大了学习成本。不过话说回来,RN做外包项目倒是挺可以的
2

引用来自“邪恶八稚女”的评论

这玩意儿什么时候能出1.0啊
等重构还有周边反馈的BUG修复的差不多了就离1.0.0正式版不远了
0
许多 bug 修复。。。
9
也就给没能力学习原生开发的前端吹吹牛涨涨工资用,正经干项目还是原生开发可靠。
0
windows 上升级失败
0
估计又要坑一批人了
0
React Native 现在使用 Babel 7,升级到 0.56 后,请确保将 babel-preset-react-native package.json 依赖项升级到 ^5.0.1 或更高版本。

一些项目所需的最低版本都进行了升级,如现在最低的要求版本 ——

Node 8、iOS 9 和 Xcode 9

Android 项目现在使用 Android 26 SDK 进行编译
0
这玩意儿什么时候能出1.0啊
顶部